Bug 449071 - Missing Dependency on F8
Missing Dependency on F8
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
beta
i686 Linux
urgent Severity low
: ---
: ---
Assigned To: mrg-program-list
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 04:56 EDT by Frederic Hornain
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 10:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederic Hornain 2008-05-30 04:56:07 EDT
Description of problem:

/!\ BTW I use F8 !!! 

Following Installation Procedure described in the Messaging_Tutorial-1.pdf
downloadable at 
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.0/pdf/Messaging_Tutorial/Messaging_Tutorial.pdf

Then I have the following Error Messages :

 Missing Dependency: libpq.so.4 is needed by package condor
 Missing Dependency: libxerces-c.so.27 is needed by package xerces-c
 Missing Dependency: libxerces-depdom.so.27 is needed by package xerces-c
 Missing Dependency: libxerces-c.so.27 is needed by package qpidc
 Missing Dependency: libxerces-c.so.27 is needed by package qpidd

 More detail below :

 yum install rhm
 Existing lock /var/run/yum.pid: another copy is running as pid 10188.
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Setting up Install Process
 Parsing package install arguments
 Resolving Dependencies
 --> Running transaction check
 ---> Package rhm.i386 0:0.2.2060-2.fc8 set to be updated
 --> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: rhm
 --> Processing Dependency: libaio.so.1 for package: rhm
 --> Processing Dependency: libqpidbroker.so.0 for package: rhm
 --> Processing Dependency: libdb_cxx-4.6.so for package: rhm
 --> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: rhm
 --> Processing Dependency: qpidd for package: rhm
 --> Processing Dependency: libaio for package: rhm
 --> Running transaction check
 ---> Package db4-cxx.i386 0:4.6.21-1.fc8 set to be updated
 ---> Package qpidd.i386 0:0.2.656926-1.fc8 set to be updated
 --> Processing Dependency: xqilla for package: qpidd
 --> Processing Dependency: cyrus-sasl for package: qpidd
 --> Processing Dependency: libxqilla.so.3 for package: qpidd
 --> Processing Dependency: qpidc = 0.2.656926-1.fc8 for package: qpidd
 --> Processing Dependency: libxerces-c.so.27 for package: qpidd
 --> Processing Dependency: xerces-c for package: qpidd
 --> Processing Dependency: libqpidcommon.so.0 for package: qpidd
 --> Processing Dependency: openais for package: qpidd
 ---> Package libaio.i386 0:0.3.106-3.2 set to be updated
 --> Running transaction check
 ---> Package xqilla.i386 0:2.0.0-5.el5 set to be updated
 --> Processing Dependency: libxerces-c.so.28 for package: xqilla
 ---> Package cyrus-sasl.i386 0:2.1.22-8.fc8 set to be updated
 ---> Package xerces-c.i386 0:2.7.0-6.fc7 set to be updated
 --> Processing Dependency: libxerces-depdom.so.27 for package: xerces-c
 --> Processing Dependency: libxerces-c.so.27 for package: xerces-c
 ---> Package openais.i386 0:0.80.1-6 set to be updated
 ---> Package qpidc.i386 0:0.2.656926-1.fc8 set to be updated
 --> Processing Dependency: libxerces-c.so.27 for package: qpidc
 --> Running transaction check
 ---> Package xerces-c.i386 0:2.8.0-1.el5 set to be updated
 ---> Package qpidc.i386 0:0.2.656926-1.fc8 set to be updated
 --> Processing Dependency: libxerces-c.so.27 for package: qpidc
 ---> Package xerces-c.i386 0:2.7.0-6.fc7 set to be updated
 --> Processing Dependency: libxerces-c.so.27 for package: qpidc
 --> Processing Dependency: libxerces-c.so.27 for package: qpidd
 --> Finished Dependency Resolution
 Error: Missing Dependency: libxerces-c.so.27 is needed by package xerces-c
 Error: Missing Dependency: libxerces-c.so.27 is needed by package qpidd
 Error: Missing Dependency: libxerces-depdom.so.27 is needed by package xerces-c
 Error: Missing Dependency: libxerces-c.so.27 is needed by package qpidc 





Version-Release number of selected component (if applicable):


How reproducible:
 Read the Installation Procedure described in the Messaging_Tutorial-1.pdf
downloadable  at
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.0/pdf/Messaging_Tutorial/Messaging_Tutorial.pdf

Steps to Reproduce:
1. cd /etc/yum.repos.d
2. wget ftp://ftp.redhat.com/pub/redhat/linux/beta/MRG/RHEL-5/mrg-beta.repo
3. yum --disablerepo='*' --enablerepo=mrg-beta list available
4. yum install rhm
  
Actual results:

yum install rhm
 Existing lock /var/run/yum.pid: another copy is running as pid 10188.
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Another app is currently holding the yum lock; waiting for it to exit...
 Setting up Install Process
 Parsing package install arguments
 Resolving Dependencies
 --> Running transaction check
 ---> Package rhm.i386 0:0.2.2060-2.fc8 set to be updated
 --> Processing Dependency: libaio.so.1(LIBAIO_0.4) for package: rhm
 --> Processing Dependency: libaio.so.1 for package: rhm
 --> Processing Dependency: libqpidbroker.so.0 for package: rhm
 --> Processing Dependency: libdb_cxx-4.6.so for package: rhm
 --> Processing Dependency: libaio.so.1(LIBAIO_0.1) for package: rhm
 --> Processing Dependency: qpidd for package: rhm
 --> Processing Dependency: libaio for package: rhm
 --> Running transaction check
 ---> Package db4-cxx.i386 0:4.6.21-1.fc8 set to be updated
 ---> Package qpidd.i386 0:0.2.656926-1.fc8 set to be updated
 --> Processing Dependency: xqilla for package: qpidd
 --> Processing Dependency: cyrus-sasl for package: qpidd
 --> Processing Dependency: libxqilla.so.3 for package: qpidd
 --> Processing Dependency: qpidc = 0.2.656926-1.fc8 for package: qpidd
 --> Processing Dependency: libxerces-c.so.27 for package: qpidd
 --> Processing Dependency: xerces-c for package: qpidd
 --> Processing Dependency: libqpidcommon.so.0 for package: qpidd
 --> Processing Dependency: openais for package: qpidd
 ---> Package libaio.i386 0:0.3.106-3.2 set to be updated
 --> Running transaction check
 ---> Package xqilla.i386 0:2.0.0-5.el5 set to be updated
 --> Processing Dependency: libxerces-c.so.28 for package: xqilla
 ---> Package cyrus-sasl.i386 0:2.1.22-8.fc8 set to be updated
 ---> Package xerces-c.i386 0:2.7.0-6.fc7 set to be updated
 --> Processing Dependency: libxerces-depdom.so.27 for package: xerces-c
 --> Processing Dependency: libxerces-c.so.27 for package: xerces-c
 ---> Package openais.i386 0:0.80.1-6 set to be updated
 ---> Package qpidc.i386 0:0.2.656926-1.fc8 set to be updated
 --> Processing Dependency: libxerces-c.so.27 for package: qpidc
 --> Running transaction check
 ---> Package xerces-c.i386 0:2.8.0-1.el5 set to be updated
 ---> Package qpidc.i386 0:0.2.656926-1.fc8 set to be updated
 --> Processing Dependency: libxerces-c.so.27 for package: qpidc
 ---> Package xerces-c.i386 0:2.7.0-6.fc7 set to be updated
 --> Processing Dependency: libxerces-c.so.27 for package: qpidc
 --> Processing Dependency: libxerces-c.so.27 for package: qpidd
 --> Finished Dependency Resolution
 Error: Missing Dependency: libxerces-c.so.27 is needed by package xerces-c
 Error: Missing Dependency: libxerces-c.so.27 is needed by package qpidd
 Error: Missing Dependency: libxerces-depdom.so.27 is needed by package xerces-c
 Error: Missing Dependency: libxerces-c.so.27 is needed by package qpidc

Expected results:
 Installation Completed

Additional info:
 N/A
Comment 1 Nuno Santos 2008-06-10 10:34:49 EDT
This is a temporary conflict between the versions of xerces-c provided by the
F8-updates repo (2.7.0-6) and the mrg-beta repo (2.8.0-1). The issue will
resolve itself when the two versions are brought into sync (once the final
versions are available).

In the interim, a possible workaround is to force the install from the mrg-beta
repo, by adding "--disablerepo=* --enablerepo=mrg-beta" to all yum command lines.

Note You need to log in before you can comment on or make changes to this bug.